import o from"path";import{URL as r}from"url";import t from"yargs";import{hideBin as e}from"yargs/helpers";import i from"os";import n from"fs";import l from"yamljs";import{execSync as s}from"child_process";import a from"json2yaml";function d(o){return o?o[0].toUpperCase()+o.substring(1).toLowerCase():void 0}const f=/^0x([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/,c=/^#([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/;function u(o){o=o.trim();if(!/^([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/.test(o))throw new Error("Color code provided, is neither in 3 letter format nor in 6 letter format..");if(3===o.length){let r="";for(let t=0;t<=2;t++)r+=o.charAt(t)+o.charAt(t);return r}return o}function v(o){if(o&&(!o||""!==o.trim())){if(o=o.trim(),f.test(o))return"#"+u(o.substring(2));if(c.test(o))return"#"+u(o.substring(1));throw new Error("Color code is not provided in hex(0x) or hash(#) format..")}}function y(o){if(o&&(!o||""!==o.trim())){if(o=o.trim(),c.test(o))return"0x"+u(o.substring(1));if(f.test(o))return"0x"+u(o.substring(2));throw new Error("Color code is not provided in hex(0x) or hash(#) format..")}}function h(o={}){var r,i,n,l,s,a,f,c,u,v,h,g,m,p;const b="fontsize",w="bgcolor",x="fgcolor",k="selcolor",$="cursor",A="opacity",E=16,_="#111122",C="#ccccff",F="#111122",S="Block",z=1;return t(e(process.argv)).options({s:{type:"number"},b:{type:"string"},c:{type:"string"},t:{type:"string"},y:{type:"string"},o:{type:"number"}}).usage("Usage: node $0 [options]=[values]\nOr, $0 [options]=[values] if $0 is an executable and not a javascript file\n\nThe options may/may not provided in the CLI. If they are not provided, either the previously set config is used or the defaults are set.").help("h").version("1.3.0").alias("s",b).alias("b",w).alias("c",x).alias("t",k).alias("y",$).alias("o",A).alias("h","help").alias("v","version").default(b,null!==(i=null===(r=null==o?void 0:o.font)||void 0===r?void 0:r.size)&&void 0!==i?i:E).default(w,null!==(s=null===(l=null===(n=null==o?void 0:o.colors)||void 0===n?void 0:n.primary)||void 0===l?void 0:l.background)&&void 0!==s?s:_).default(x,null!==(c=null===(f=null===(a=null==o?void 0:o.colors)||void 0===a?void 0:a.primary)||void 0===f?void 0:f.foreground)&&void 0!==c?c:C).default(k,null!==(h=null===(v=null===(u=null==o?void 0:o.colors)||void 0===u?void 0:u.selection)||void 0===v?void 0:v.text)&&void 0!==h?h:F).default($,null!==(m=null===(g=null==o?void 0:o.cursor)||void 0===g?void 0:g.style)&&void 0!==m?m:S).default(A,null!==(p=null==o?void 0:o.background_opacity)&&void 0!==p?p:z).nargs({[b]:1,[w]:1,[x]:1,[k]:1,[$]:1,[A]:1}).describe(b,`Takes font size to be set in alacritty [default=${E}]`).describe(w,`Takes primary background color in #ffffff or #fff or 0xfff or 0xffffff format [default=${_}]`).describe(x,`Takes primary foreground color in #ffffff or #fff or 0xfff or 0xffffff format [default=${C}]`).describe(k,`Takes text color (when the area is selected) in #ffffff or #fff or 0xfff or 0xffffff format [default=${F}]`).describe($,`Takes cursor style that can be Block or Underline or Beam [default=${S}]`).describe(A,`Takes background opacity which is between 0.0 (transparent) and 1.0 (opaque) [default=${z}]`).check((o=>{if(o.s&&(o.s<=0||o.s>40))throw new Error(`Wrong Arguments: Provided font size ${o.s} should be within the range of display: 0.1 to 40.0`);if(o.b&&void 0===y(""+o.b))throw new Error(`Wrong Arguments: Provided background color ${o.b} should be in hash or hex format`);if(o.c&&void 0===y(""+o.c))throw new Error(`Wrong Arguments: Provided font color ${o.c} should be in hash or hex format`);if(o.t&&void 0===y(""+o.t))throw new Error(`Wrong Arguments: Provided selection text color ${o.t} should be in hash or hex format`);if(o.y&&!["Block","Underline","Beam"].includes(d(""+o.y)))throw new Error(`Wrong Arguments: Provided cursor style ${o.y} should be in one of the 3 styles`);if(o.o&&(o.o<0||o.o>1))throw new Error(`Wrong Arguments: Provided background opacity ${o.o} should be between 0.0 and 1.0`);return!0})).argv}function g(o){if("string"==typeof o){if(!o||o&&""===o.trim())return;if(o=o.trim(),f.test(o))return"#"+u(o.substring(2));if(c.test(o))return"#"+u(o.substring(1));throw new Error("Color code is not provided in hex(0x) or hash(#) format..")}if("number"==typeof o){return"#"+u(o.toString(16))}}function m(o){if("string"==typeof o){if(!o||o&&""===o.trim())return;if(o=o.trim(),c.test(o))return"0x"+u(o.substring(1));if(f.test(o))return"0x"+u(o.substring(2));throw new Error("Color code is not provided in hex(0x) or hash(#) format..")}if("number"==typeof o){return"0x"+u(o.toString(16))}}function p(){let r="which alacritty",t=o.join(i.homedir(),".config/alacritty/alacritty.yml");"Windows_NT"===i.type()&&(r="where alacritty",t=o.join(i.homedir(),"AppData","alacritty.yml"));try{s(r)}catch(o){throw new Error("Package Not Installed: alacritty is not installed in your system or it's path is not set in your PATH or environment variable. \nSo, we are sorry that you cannot use our library. \n\nPlease install alacritty and try again")}return n.existsSync(t)||(n.mkdirSync(o.dirname(t),{recursive:!0}),n.writeFileSync(t,"")),t}function b(o){try{return l.load(o)}catch(o){throw new Error("Cannot load original alacritty config file from the path provided..")}}function w(r,t){try{const e=o.resolve(t,"alacritty.yml");n.mkdirSync(o.dirname(e),{recursive:!0});const i=a.stringify(r);n.writeFileSync(e,i,"utf-8"),console.log("----Alacritty Auto Config----\n\nYour configs will be applied..\nIn case, you did not see the new look in alacritty, we suggest to close and reopen all windows of alacritty")}catch(o){console.log("Sorry, some error occurred while writing configurations to the alacritty.yml file"),console.error("Error: "+o.message)}}function x(o={},r,t){var e,i,n,l,s,a,f,c,u,v,h,g,m,p;let b=null!==(n=null===(i=null===(e=null==o?void 0:o.colors)||void 0===e?void 0:e.primary)||void 0===i?void 0:i.background)&&void 0!==n?n:"",x=null!==(a=null===(s=null===(l=null==o?void 0:o.colors)||void 0===l?void 0:l.primary)||void 0===s?void 0:s.foreground)&&void 0!==a?a:"",k=null!==(c=null===(f=null==o?void 0:o.font)||void 0===f?void 0:f.size)&&void 0!==c?c:void 0,$=null!==(h=null===(v=null===(u=null==o?void 0:o.colors)||void 0===u?void 0:u.selection)||void 0===v?void 0:v.text)&&void 0!==h?h:"",A=null!==(m=null===(g=null==o?void 0:o.cursor)||void 0===g?void 0:g.style)&&void 0!==m?m:"Block",E=null!==(p=null==o?void 0:o.background_opacity)&&void 0!==p?p:void 0,{primary_bgcolor:_=b,primary_fgcolor:C=x,fontsize:F=k,selection_fgcolor:S=$,cursor_style:z=A,background_opacity:B=E}=r;if(_=y(_),C=y(C),S=y(S),F<.1||F>40)throw new Error("Font size provided is not in the range 0.1 to 40.0");if(z&&!["Block","Underline","Beam"].includes(d(z)))throw new Error("Cursor style provided is not in one of the 3 accepted styles");if(B<0||B>1)throw new Error("Background opacity provided is not in the range 0.0 to 1.0");const P=Object.assign(Object.assign({},o),{font:{size:F},colors:{primary:{background:_,foreground:C},selection:{text:S}},cursor:{style:z},background_opacity:B});return w(P,t),P}var k;const $=new r(`file://${process.argv[1]}`);(null===(k=import.meta)||void 0===k?void 0:k.url)===$.toString()&&function(){let r="";try{r=p();let t=b(r);const e=o.dirname(r);let i=h(t);x(t,{fontsize:parseFloat(""+i.s),primary_bgcolor:i.b,primary_fgcolor:i.c,selection_fgcolor:i.t,cursor_style:i.y,background_opacity:parseFloat(""+i.o)},e)}catch(o){console.error("Error: "+o.message)}}();export{p as configInit,u as convertShortToLongCode,v as convertToHash,y as convertToHex,x as editConfig,c as hash_color_regex,f as hex_color_regex,g as oldConvertToHash,m as oldConvertToHex,b as readOriginalConfig,h as takeArgumentInputs,w as writeToConfigFile};
